Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigCaseFoldCodeItem Struct Reference

`#include <oniguruma.h>`

## Data Fields
int | byte_len
int | code_len
OnigCodePoint | code [ONIGENC_MAX_COMP_CASE_FOLD_CODE_LEN]

## Detailed Description

Definition at line 144 of file ripper.y.

## Field Documentation

int OnigCaseFoldCodeItem::byte_len

Definition at line 145 of file ripper.y.

Referenced by expand_case_fold_string_alt(), onigenc_ascii_get_case_fold_codes_by_str(), and onigenc_get_case_fold_codes_by_str_with_map().

OnigCodePoint OnigCaseFoldCodeItem::code

Definition at line 147 of file ripper.y.

Referenced by expand_case_fold_string_alt(), onigenc_ascii_get_case_fold_codes_by_str(), and onigenc_get_case_fold_codes_by_str_with_map().

int OnigCaseFoldCodeItem::code_len

Definition at line 146 of file ripper.y.

Referenced by expand_case_fold_string_alt(), onigenc_ascii_get_case_fold_codes_by_str(), and onigenc_get_case_fold_codes_by_str_with_map().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h